Subject: bug#60060: 29.0.50; tramp-tests leave temporary files behind

From: Michael Albinus <[email-masked]>
Date: Thu, 15 Dec 2022 16:44:09 +0100

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

> Running "make -C test tramp-tests" leaves files like these behind in the
> /tmp directory when it's done:
>
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.96wMX0
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.Z0kdHt
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.fzW51I
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.gGLsr2
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.pMvk3u
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.pri8yI
>   -rw------- 1 skangas skangas    0 2022-12-14 08:12 tramp.riZhlf
>
> Could that be avoided?

I've pushed a fix to the emacs-29 branch which should cleanup failing
file-local-copy calls. In my environment, /tmp is clean now after
running tramp-tests.el.

Could you pls recheck?

Best regards, Michael.